<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.PayMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.Pay">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="no" jdbcType="VARCHAR" property="no" />
    <result column="user_id" jdbcType="INTEGER" property="userId" />
    <result column="channel" jdbcType="VARCHAR" property="channel" />
    <result column="pid" jdbcType="VARCHAR" property="pid" />
    <result column="client_ip" jdbcType="VARCHAR" property="clientIp" />
    <result column="money" jdbcType="DECIMAL" property="money" />
    <result column="module" jdbcType="VARCHAR" property="module" />
    <result column="module_extend" jdbcType="VARCHAR" property="moduleExtend" />
    <result column="subject" jdbcType="VARCHAR" property="subject" />
    <result column="body" jdbcType="VARCHAR" property="body" />
    <result column="transaction_no" jdbcType="VARCHAR" property="transactionNo" />
    <result column="currency" jdbcType="VARCHAR" property="currency" />
    <result column="trade_status" jdbcType="INTEGER" property="tradeStatus" />
    <result column="pay_time" jdbcType="TIMESTAMP" property="payTime" />
    <result column="pay_type" jdbcType="VARCHAR" property="payType" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.qxgmat.data.dao.entity.Pay">
    <!--
      WARNING - @mbg.generated
    -->
    <result column="pay_info" jdbcType="LONGVARCHAR" property="payInfo" />
    <result column="result_info" jdbcType="LONGVARCHAR" property="resultInfo" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `no`, `user_id`, `channel`, `pid`, `client_ip`, `money`, `module`, `module_extend`, 
    `subject`, `body`, `transaction_no`, `currency`, `trade_status`, `pay_time`, `pay_type`, 
    `create_time`, `update_time`
  </sql>
  <sql id="Blob_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `pay_info`, `result_info`
  </sql>
</mapper>